#!/bin/bash

FILE=${1%.*}
TMPFILE=temp
LOGFILE=temp.log

cat > $TMPFILE.tex <<EOF
\input{dirs}
\documentclass[version$VERSION]{manuel}
\makeatletter
\makeatother
%\usepackage{pst-eps}
\thispagestyle{empty}

\begin{document}
%\begin{TeXtoEPS}
\input{$FILE}
%\end{TeXtoEPS}
\end{document}
EOF

#echo "Création du fichier dvi"
latex $TMPFILE > $LOGFILE
#echo "Création du fichier eps"
dvips -E  $TMPFILE.dvi -o $TMPFILE.eps >> $LOGFILE 2>&1
#echo "Création du fichier pdf"
epstopdf $TMPFILE.eps --debug --outfile=pdfs/${FILE#*/}.pdf >> $LOGFILE 2>&1
rm -f $TMPFILE.* $LOGFILE
